import 'package:json_annotation/json_annotation.dart';
import '../../splash/splash_screen_viewmodel.dart';
import 'otp_claim_verify_response_model.dart';

part 'otp_verify_response_model.g.dart';
@JsonSerializable()
class OTPVerifyResponseModel extends EmptyCodable {
  OTPClaimVerifyResponseModel? claim;

  OTPVerifyResponseModel({
    this.claim,
  }) : super.fromJson(null);

  factory OTPVerifyResponseModel.fromJson(Map<String, dynamic> json) => _$OTPVerifyResponseModelFromJson(json);
  Map<String, dynamic> toJson() => _$OTPVerifyResponseModelToJson(this);
}

@JsonSerializable()
class OTPResendResponseModel {
  @JsonKey(name: "otp_ttl")
  int? otpTtl;

  OTPResendResponseModel({
    this.otpTtl,
  });

  factory OTPResendResponseModel.fromJson(Map<String, dynamic> json) => _$OTPResendResponseModelFromJson(json);
  Map<String, dynamic> toJson() => _$OTPResendResponseModelToJson(this);
}